$set 1
$ @(#) liclib_msg.txt 1.21@(#)
$ Copyright 01/22/96 Sun Microsystems, Inc. All Rights Reserved
$ 
$ NOTE: The "-#" lead-in character must be followed by a space to be recognized
$ as a comment line.  All comment lines must begin with "-# ".
$ 
$ This file is used to create the .msg file, .h header files, and
$ on-line help files needed to process messages using catgets.
$  
$ The file has the following format:
$ 
$ <--> <severity> [<#msgno>] <msg-tag> <brief error-text>
$ <-[> <sanitized brief error-text>
$ <++> <error explanation help text>
$ <-+> <verbose error-text>
$ <-#> <comment>
$ <-@> <testname path>
$ 
$ The 'lead-in' characters denote the following:
$ 
$ 	'--'	:	Normal (standard) error text.  like what C++ has now
$ 	'-['	:	Error text with all %<symbol> fields replaced 
$ 	'++'	:	Error explanation help text.
$ 	'-+'	:	Verbose error text
$ 	'-#'	:	Error source file comments
$ 	'-@'	:	Comment documenting testname which stress this message
$ 
$ The 'lead-in' characters must be followed by a space or tab character,
$ including comment lines '-#'.  The fields <severity> <#msgno> <msg-tag>
$ <brief error-text> must be seperated by only one space or tab character.
$ 
$ The five entries are matched sets.  All text between '--' pairs is
$ considered a set assigned to <msg-tag>.  The entries for '-[', '++',
$ '-+', '-#', '-@' are optional.  The 'lead-in' characters must be present in
$ the first column only and only for the first line of text for each
$ subset member.  To be recognized as 'lead-in' characters they must
$ begin in column one and must be immediately followed by a space or tab
$ character.  The subset members '--', '-[', '-#' and '-@' consist of single
$ line entries only, all other subset members can consist of multiple lines.
$ There is one order dependency, that is that the '++' line(s) must
$ follow the '-[' line.  The ordering here is for implementation
$ convenience, it simplifies the building of the explanation help text
$ files.
$ 
$ The fields '--' 'severity' 'msg-tag' must all be on the same line.
$ The field 'severity' consists of a single digit integer.  The fields
$ '-[' 'sanitized brief error-text' must be on the same line.  The fields
$ 'brief error-text' 'sanitized brief error-text' 'error explanation help
$ text' 'verbose error-text' 'comment' are all considered to begin with
$ second character following the field (or lead-in characters) that is
$ required to precede them.  This means if you start the fields 'error
$ explanation help text' 'verbose error-text' 'comment' with a newline
$ they will begin with a newline character.  This is done by placing a
$ newline character, '\n', after the required space or tab character
$ following the lead-in characters '++', '-+', or '-#', e.g. "++ \n".
$ 
$ msg-tags must adhear to these naming rules:
$ The must consist of uppercase letters (A-Z) and the 
$ character underscore (_).  They must begin with an uppercase letter.
$ 
$ They are limited to 31 characters in length
$ 
$ They must be unique
$ 
$ Try to make them represent the message they tag, they are
$ likely to become visable to the end user
$ 
$ When used in the help files the underscores will be converted to hyphens
$ 
$ 'severity' is a number and is defined as a severity level for use by
$ the compiler, currently this is unsed and should be set to 1.
$ 
$ '#msgno' is generated automatically by the assignmsgno utility.
$ #msgno should NEVER BE ADDED OR EDITED BY HAND.  When a new message
$ is added it should be added with a new error text line as follows:
$ 
$ <--> <severity> <msg-tag> <brief error-text>
$ 
$ 
$ ######################################################################
$ 
$ Message order is no longer important.  Messages can be moved and
$ grouped.  Permanent message numbers are assigned by the utility
$ assignmsgno.  The target which assigns message numbers in 
$ Makfile.message should only be run by the buildmaster or project lead
$ at each point when a message file may be shipped off for localization.
$ These might include:  viability, alpha, beta, FCS slush dates and patch
$ builds.  Never assign message numbers by hand.
$ 
$     Do Not remove an error, instead add a comment following it saying:
$  DELETED MESSAGE - The above message is no longer used
$  However, the help text for the message should be removed.
$     Do Not reuse messages
$  Remember they may be used in more than one place
$     Do Not reword a message.  If wording changes are neccessary add
$  a comment line to the original message saying:
$       DELETED MESSAGE - The above message is no longer used
$       and add a new message with the correct wording and move
$  the help text from the old message to the new message, reworded
$  appropriately
$     Typos may be fixed.  However, they must also be fixed in the
$     appropriate chkpt.msg file, so that compmsg will not complain.
$     No other changes should be made to chkpt.msg file by hand!
$ 
$ Start all error messages with E_
$ 
$ If you need a leading space, begin the message with a space
$ i.e. the message starts with the second character following the
$ 	msg-tag.
$ For trailing spaces, just add them to the end,
$   add a comment that the trailing spaces are important
$ 
$ Add comment on all messages that do not need explanation text
$ 
$ Sample informational message:
$ -- 1 #1 M_CATALOG_INSTALLED Message catalog %s/%s installed.\n
$ -# No explanation text needed for above message, not an error message
$ -# 
$ 
$ Sample error message: 
$ -- 1 #23 E_CANNOT_RECOVER cannot recover from previous errors
$ ++ <newline>
$ Earlier errors in the compilation have confused the compiler, and it
$ cannot continue to process your program.  Correct those errors and try
$ again.
$ 
$ ##### Start of messages ########

1 OK
$  - explain message here -
$ 
2 Warning: You are operating without\na properly acquired license.\n
$  - explain message here -
$ 
3 display_license_info called before init_license.\n
$  - explain message here -
$ 
4 No Connection
$  - explain message here -
$ 
5 No License
$  - explain message here -
$ 
6 \nLicense Error :
$  - explain message here -
$ 
7 \nFLEX LM Error[%3d] : %s\n
$  - explain message here -
$ 
8 Have Connection
$  - explain message here -
$ 
9 Have License
$  - explain message here -
$ 
10 set_idle_timeout called before init_license.\n
$  - explain message here -
$ 
11 \nLicense :
$  - explain message here -
$ 
12 \nInternal License Error :
$  - explain message here -
$ 
13 Invalid version number passed for getting license.\n
$  - explain message here -
$ 
14 %s The maximum number of checkouts(%d) has been exceeded.\n
$  - explain message here -
$ 
15 You do not have the proper license to run the localized version\nof this application.
$  - explain message here -
$ 
16 no error
$  - explain message here -
$ 
17 Null feature name passed to get_license.\n
$  - explain message here -
$ 
18 %s Current version(%4.2f) does not match previous version(%4.2f).\n
$  - explain message here -
$ 
19 \nLicense Warning :
$  - explain message here -
$ 
20 %s Current who_shares(%d) does not match previous who_shares(%d).\n
$  - explain message here -
$ 
21 %s Current qflag(%d) does not previous qflag(%d).\n
$  - explain message here -
$ 
22 get_license called before init_license.\n
$  - explain message here -
$ 

23 %s Current version(%4.2f) does not match previous version(%4.2f).\n
$  - explain message here -
$ 
24 %s Current who_shares(%d) does not match previous who_shares(%d).\n
$  - explain message here -
$ 
25       %-30s  started on %s%
$  - explain message here -
$ 
26    Total Licenses : %d
$  - explain message here -
$ 
27    Users of %s Version %4.2f : \n\n
$  - explain message here -
$ 
28    Users of %s Version %s : \n\n
$  - explain message here -
$ 
29  IN QUEUE
$  - explain message here -
$ 
30 %d  out of  %d
$  - explain message here -
$ 

31 %s  Maximum number of licensed users (%d) for feature (%s) has been reached.\n
$  - explain message here -
$ 
32 %s  Maximum number of licensed users for feature (%s) has been reached.\n
$  - explain message here -
$ 

$ Consolidate these three??? 
33 %s  Maximum number of licensed users (%d) for product (%s) has been reached.\n
$  - explain message here -
$ 
34 %s  Maximum number of licensed users for product(%s) has been reached.\n
$  - explain message here -
$ 
35 %s : Maximum number of licensed users (%d) for product(%s) has been reached.\n
$  - explain message here -
$ 

36 %s  Product (%s) is not licensed to run on this host\n
$  - explain message here -
$ 

37 %s  Products requiring this feature (%s) are not licensed to run on this host\n
$  - explain message here -
$ 

38 %s  Products using the feature %s are only licensed to run on machine (%s)\n
$  - explain message here -
$ 

$ Consolidate these two???
39 %s  This product, %s, is only licensed to run on machine (%s)\n
$  - explain message here -
$ 

40 %s  The license file (%s)\n\tdoes not have information about the feature %s\n
$  - explain message here -
$ 
41 %s  The license file (%s)\n\tdoes not have information about the product %s\n
$  - explain message here -
$ 
42 %s  The license file does not have information about the feature %s\n
$  - explain message here -
$ 
43 %s  The license file does not have information about the product %s\n
$  - explain message here -
$ 
44 %s  The vendor daemon \"%s\" is expected in the license file (%s)\n\t for %s.\n
$  - explain message here -
$ 
45 %s  The vendor daemon \"%s\" is expected in the license file (%s)\n\t for feature %s.\n
$  - explain message here -
$ 
46 %s  The vendor daemon \"%s\" is expected in the license file for %s.\n
$  - explain message here -
$ 
47 %s  The vendor daemon \"%s\" is expected in the license file for feature %s.\n
$  - explain message here -
$ 
48 %s The vendor daemon \"%s\" is expected in the license file (%s)\n\t for product(%s)\n
$  - explain message here -
$ 

49 %s All %d license(s) for %s are currently in use, queuing the request\n
$  - explain message here -
$ 
50 %s All licenses for %s are currently in use, queuing the request\n
$  - explain message here -
$ 

51 %s Cannot connect to the license server (%s)..\n\tfor feature %s.\n\t(License server may not have been started)\n
$  - explain message here -
$ 
52 %s Cannot connect to the license server (%s)..\n\tfor product(%s).\n\t(License server may not have been started)\n
$  - explain message here -
$ 
53 %s Cannot find a license file which contains the feature %s.\n
$  - explain message here -
$ 
54 %s Cannot find license file (%s)\n\twhich contains the feature %s.\n
$  - explain message here -
$ 
55 %s Cannot find license file (%s)\n\tfor %s\n
$  - explain message here -
$ 
56 %s Cannot find license file for %s\n
$  - explain message here -
$ 
57 %s Cannot find license file (%s)\n\tfor product (%s)\n
$  - explain message here -
$ 
58 %s Cannot find the license server (%s)\n\tin the network database for feature %s\n
$  - explain message here -
$ 
59 %s Cannot find the license server (%s)\n\tin the network database for product(%s)\n
$  - explain message here -
$ 
60 %s Cannot read license file (%s)\n\tfor feature %s\n
$  - explain message here -
$ 
61 %s Cannot read license file (%s)\n\tfor product(%s)\n
$  - explain message here -
$ 
62 %s Display_license_info called with null feature name.\n
$  - explain message here -
$ 
63 %s Failed to check out feature %s after idle timeout\n
$  - explain message here -
$ 
64 %s Feature %s
$  - explain message here -
$ 
65 %s Got the license for %s continuing..\n
$  - explain message here -
$ 
66 %s Licensing %s
$  - explain message here -
$ 
67 %s Licensing feature %s.\n\tLicense File: %s\n
$  - explain message here -
$ 
68 %s Licensing product (%s).\n\tLicense File: %s\n
$  - explain message here -
$ 
69 %s Licensing product(%s)
$  - explain message here -
$ 
70 %s Lost connection to the license server for %s, exiting...\n
$  - explain message here -
$ 
71 %s Lost connection to the license server. Trying to reconnect..\n
$  - explain message here -
$ 
72 %s Product(%s)
$  - explain message here -
$ 
73 %s Re-connected to the license server for %s after %d retries\n
$  - explain message here -
$ 
74 %s Server (%s) not responding still trying\n
$  - explain message here -
$ 
75 %s The license file (%s)\n\tdoes not have information about this product(%s)\n
$  - explain message here -
$ 
76 %s The license file (%s)\n\tis corrupt OR does not have information about this product(%s)\n
$  - explain message here -
$ 
77 %s The license for the %s feature has expired\n
$  - explain message here -
$ 
78 %s The license for this product(%s) has expired\n
$  - explain message here -
$ 
79 %s could not create local linger file(%s). Compilation proceeding...\n
$  - explain message here -
$ 
80 %s could not update local linger file(%s).\n Compilation proceeding...\n
$  - explain message here -
$ 
81 %s set attribute CHECK_INTERVAL=%d failed!\n
$  - explain message here -
$ 
82 %s set attribute CONN_TIMEOUT=%d failed!\n
$  - explain message here -
$ 
83 %s set attribute DISPLAY_OVERRIDE failed!\n
$  - explain message here -
$ 
84 %s set attribute RETRY_COUNT=5 failed!\n
$  - explain message here -
$ 
85 %s set attribute RETRY_INTERVAL=%d failed!\n
$  - explain message here -
$ 
86 %s set attribute USER_EXITCALL=0x%x failed!\n
$  - explain message here -
$ 
87 %s: Invalid client handle(NULL) passed to init_license!\n
$  - explain message here -
$ 
88 %s\nThis indicates that you do not have the required license\nto run the localized version of this product.\n
$  - explain message here -
$ 
89 , %d licenses\n
$  - explain message here -
$ 
90 Application error: ll_set_sharing_value called before init_license.\n
$  - explain message here -
$ 
91 Application's Host:
$  - explain message here -
$ 
92 Automatic retry in progress...
$  - explain message here -
$ 

93 Cannot get a license, automatically retry...
$  - explain message here -
$ 

94 Cannot get a license...
$  - explain message here -
$ 
95 ERROR
$  - explain message here -
$ 
96 Error Message:
$  - explain message here -
$ 
97 Exit Application
$  - explain message here -
$ 
98 Exit
$  - explain message here -
$ 
99 FLEXlm Message: 
$  - explain message here -
$ 
100 FLEXlm Message:
$  - explain message here -
$ 
101 Feature Name:
$  - explain message here -
$ 
102 Feature not supported on Domain %s\n
$  - explain message here -
$ 

103 Get License
$  - explain message here -
$ 

104 Getting a license...
$  - explain message here -
$ 
105 Got a license
$  - explain message here -
$ 
106 Have Connection
$  - explain message here -
$ 
107 Have License
$  - explain message here -
$ 
108 Help
$  - explain message here -
$ 
109 Ignore
$  - explain message here -
$ 
110 Information shown for first server in the list and the first \n%s line in the license file.\n
$  - explain message here -
$ 
111 Internal error: Use of SHARE_SPECIAL requires checkout \ndata to be set! You must call ll_set_sharing_value before \nget_license(..., SHARE_SPECIAL)\n
$  - explain message here -
$ 
112 Invalid version number passed for getting license.\n
$  - explain message here -
$ 
113 License Error Help Dialog
$  - explain message here -
$ 
114 License Error: Unable to check out a license
$  - explain message here -
$ 
115 License Information
$  - explain message here -
$ 

116 License Owners:
$  - explain message here -
$ 

117 License Status: 
$  - explain message here -
$ 
118 License for %s (feature %s) is not supported on Domain %s\n
$  - explain message here -
$ 
119 License for feature %s is not supported on Domain %s\n.
$  - explain message here -
$ 
120 Licenses Available:
$  - explain message here -
$ 
121 Never
$  - explain message here -
$ 
122 No Connection
$  - explain message here -
$ 
123 No License
$  - explain message here -
$ 
124 No file name given
$  - explain message here -
$ 
125 Null feature name passed to get_license.\n
$  - explain message here -
$ 
126 Press the GetLicense button to acquire license
$  - explain message here -
$ 
127 RESERVATION for %s %s\n
$  - explain message here -
$ 
128 Retry
$  - explain message here -
$ 
129 Server Status: 
$  - explain message here -
$ 
130 Set the LM_LICENSE_FILE environment variable differently to \nsee information about other license servers or use lmstat(1).\n
$  - explain message here -
$ 
131 The information above is for the first occurrence of the requested\nfeature in the first license server on the list.\n
$  - explain message here -
$ 
132 %s\nThis indicates that you do not have the required license\nto run the localized version of this product.\n
$  - explain message here -
$ 
133 Timeout Information
$  - explain message here -
$ 
134 To try to access the license again, choose \"Retry\".\n\nTo continue running the application without a license, choose \"Ignore\".\n\nTo completely exit the application, choose \"Exit Application\".\n
$  - explain message here -
$ 
135 UNKNOWN
$  - explain message here -
$ 
136 Unlimited
$  - explain message here -
$ 
137 User@Display:
$  - explain message here -
$ 
138 Using LM_LICENSE_FILE = %s\n\n
$  - explain message here -
$ 
139 Version Number:
$  - explain message here -
$ 
140 Warning: You are operating without\na properly acquired license.\n
$  - explain message here -
$ 
141 You do not have the proper license to run a localized version\nof this application.
$  - explain message here -
$ 
142 \n   License server :\t%s\n\n    %s Version %4.2f expires on : %s\n\n   Users of %s Version %4.2f : \n\n
$  - explain message here -
$ 
143 \n   License server :\t%s\n\n    %s Version %4.2f expires on : %s\n\n
$  - explain message here -
$ 
144 \n   License server :\t%s\n\n    %s Version %s expires on : %s\n\n   Users of %s Version %s : \n\n
$  - explain message here -
$ 
145 \n   License server :\t%s\n\n    %s Version %s expires on : %s\n\n
$  - explain message here -
$ 
146 \nLicense :
$  - explain message here -
$ 
147 \nLicense Error :
$  - explain message here -
$ 
148 \nLicense Warning :
$  - explain message here -
$ 
149 \n\tThe product has not been installed properly.\n
$  - explain message here -
$ 
150 \n\t\tNone\n
$  - explain message here -
$ 
151 \tThe LM_LICENSE_FILE environment variable does not point to a\n\tvalid license file.\n
$  - explain message here -
$ 
152 \tThe router file <executable>/../lib/License_File does not\n\tcontain a valid LM_LICENSE_FILE setting.\n
$  - explain message here -
$ 
153 \tThere are no license files in <executable>/../../license_dir.\n
$  - explain message here -
$ 
154 \tThere are no license files in following path :\n\t%s\n
$  - explain message here -
$ 
155 \tUnlimited Number of Licenses Available\n\n
$  - explain message here -
$ 
156 \t\tLicenses Available : %d\n\n
$  - explain message here -
$ 
157 clearing of attribute HOST_OVERRIDE failed!\n
$  - explain message here -
$ 
158 display_license_info called before init_license.\n
$  - explain message here -
$ 
159 exitButton
$  - explain message here -
$ 
160 no error
$  - explain message here -
$ 
161 set attribute CHECKOUT_DATA failed!\n
$  - explain message here -
$ 
162 set attribute HOST_OVERRIDE failed!\n
$  - explain message here -
$ 
163 A license for %s (feature %s) can not be found which is \nvalid in your domain. The domain values %s (NIS) and %s (DNS)\nwere used in the case-insensitive search.\n
$ - explain message here -
$ 

164 A license for %s (feature %s) can not be found which is\nvalid in your NIS domain (%s).\nDNS domain name is not accessible, see resolv.conf(5).\n
$ - explain message here -
$ 


165 A license for %s (feature %s) can not be found which is \nvalid in your DNS domain (%s).\nNIS domain name is not accessible, see domainname(1).\n
$ - explain message here -
$ 

166 Could not determine the value of your domain.  \nIn order to set the domain value, use either domainname(1)\nor the %s file.\n
$ - explain message here -
$ 

167 A license for feature %s can not be found which is valid \nin your domain. The domain values %s (NIS) and %s (DNS) were used \n in the case-insensitive search.\n
$ - explain message here -
$ 

168 A license for feature %s can not be found which is valid \nin your NIS domain (%s).\nDNS domain name is not accesible, see resolv.conf(5)\n
$ - explain message here -
$ 


169 A license for feature %s can not be found which is valid \nin your DNS domain (%s).\n NIS domain name is not accessible, see domainname(1).\n
$ - explain message here -
$ 

170     License valid in domain : %s\n\n
$ Text printed by display_license_info when a license is locked to 
$ a certain domain
$ 

171 Application error: ll_set_sharing_value called before init_license.\n
$ - explain message here -
$ 

172 Application error: Bad value passed to ll_set_protection_level.\n
$ - explain message here -
$ 

173 \nWarning: By ignoring this error, you \nwill be using a copy of the product that \nyou have not purchased.\n
$ -explain message here -
$ 

174 \nWarning: Can't connect to the license server.\n\nTo fix this problem, either inform your \nsystem administrator that you can't connect \nto a license server or try the following:  \n\n1. Make sure the SUNWlicsw package has been \ninstalled on the license server. If this is \nnot the case, install the license server \nand licenses. \n\n2. Make sure your license server daemon is \nrunning by running, on the license server,\nthe command \n\n\"/etc/opt/licenses/lmstat -c /etc/opt/licenses/licenses_combined -a\"\n\nIf your server is running, you will see \ninformation about each available feature.  \nIf no information is returned by lmstat \nor it claims that the connection was refused \nyou can start the server, as root on \nthe license server, with the command\n\n\"/etc/rc2.d/S85lmgrd start\"\n
$ 
$ 

175 \nWarning: You have exceeded the number of \nlicenses available for this application.  \nBy ignoring this, you will be using a \ncopy of this product that you have not \npurchased. Please evaluate your usage \npatterns and purchase more licenses \nif needed.\n
$ 
$ 

176 \nBecause you are operating without a \nlicense this product has intentionally \nbeen slowed down.  To avoid this behavior, \neither fix the problem or contact your\nSun sales organization and purchase \nthe proper number of licenses to match your\nusage patterns.\n\n
$ 
$ 

177 To try to access the license again, choose \"Retry\".\n\nTo completely exit the application, choose \"Exit Application\".\n
$  - explain message here -
$ 

178 \nWarning: By ignoring this error, you will \npotentially be using a copy of this product \nthat you have not purchased.
$  - explain message here -
$ 

179 \nWarning: If you choose to ignore this error, \nyou are potentially operating an unauthorized \nversion of this application. \n\nThe license server does not know about \nthe feature being requested. Please update \nthe license file on the server or restart \nthe server to recognize all of your \nlicensed products.\n 
$  - explain message here -
$ 

180 You are using an OVERDRAFT license
$  - explain message here -
$ 
181 %s Cannot find the license server\n\tin the network database for feature %s.\n
$ If the license server is not in the NIS maps, it will not be accessible
$ and can not be printed as part of the error.  This might happen if 
$ incomplete maps are ever propagated throughout the organization. This
$ applies to the next 4 messages (-> 184)
$ 
182 %s Cannot find the license server\n\tin the network database for product(%s). \n
$ 
183 %s Cannot connect to the license server.\n\tfor feature %s.\n\t(License server may not have been started)\n
$ See 181
$ 
184 %s Cannot connect to the license server.\n\tfor product(%s).\n\t(License server may not have been started)\n
$ See 181
$ 
185 Site Specific License Information:
$ Label for the license info popup. It is only present if the
$ users have a file containing text. 
$ 



